# Uses of Interface
org.springframework.aop.ClassFilter

Packages that use ClassFilter
Package
Description
org.springframework.aop
Core Spring AOP interfaces, built on AOP Alliance AOP interoperability interfaces.
org.springframework.aop.aspectj
AspectJ integration package.
org.springframework.aop.support
Convenience classes for using Spring's AOP API.
org.springframework.aop.support.annotation
Annotation support for AOP pointcuts.

## Uses of ClassFilter in org.springframework.aop

Fields in org.springframework.aop declared as ClassFilter
Modifier and Type
Field
Description
`static final ClassFilter`
ClassFilter.`TRUE`
Canonical instance of a `ClassFilter` that matches all classes.
Methods in org.springframework.aop that return ClassFilter
Modifier and Type
Method
Description
`ClassFilter`
IntroductionAdvisor.`getClassFilter()`
Return the filter determining which target classes this introduction should apply to.
`ClassFilter`
Pointcut.`getClassFilter()`
Return the ClassFilter for this pointcut.

## Uses of ClassFilter in org.springframework.aop.aspectj

Classes in org.springframework.aop.aspectj that implement ClassFilter
Modifier and Type
Class
Description
`class`
`AspectJExpressionPointcut`
Spring `Pointcut` implementation that uses the AspectJ weaver to evaluate a pointcut expression.
`class`
`TypePatternClassFilter`
Spring AOP `ClassFilter` implementation using AspectJ type matching.
Methods in org.springframework.aop.aspectj that return ClassFilter
Modifier and Type
Method
Description
`ClassFilter`
AspectJExpressionPointcut.`getClassFilter()`
`ClassFilter`
DeclareParentsAdvisor.`getClassFilter()`

## Uses of ClassFilter in org.springframework.aop.support

Classes in org.springframework.aop.support that implement ClassFilter
Modifier and Type
Class
Description
`class`
`ControlFlowPointcut`
Pointcut and method matcher for use as a simple cflow-style pointcut.
`class`
`DefaultIntroductionAdvisor`
Simple `IntroductionAdvisor` implementation that by default applies to any class.
`class`
`RootClassFilter`
Simple ClassFilter implementation that passes classes (and optionally subclasses).
Methods in org.springframework.aop.support that return ClassFilter
Modifier and Type
Method
Description
`ClassFilter`
ComposablePointcut.`getClassFilter()`
`ClassFilter`
ControlFlowPointcut.`getClassFilter()`
`ClassFilter`
DefaultIntroductionAdvisor.`getClassFilter()`
`ClassFilter`
DynamicMethodMatcherPointcut.`getClassFilter()`
`ClassFilter`
StaticMethodMatcherPointcut.`getClassFilter()`
`static ClassFilter`
ClassFilters.`intersection(ClassFilter[] classFilters)`
Match all classes that all of the given ClassFilters match.
`static ClassFilter`
ClassFilters.`intersection(ClassFilter cf1, ClassFilter cf2)`
Match all classes that both of the given ClassFilters match.
`static ClassFilter`
ClassFilters.`negate(ClassFilter classFilter)`
Return a class filter that represents the logical negation of the specified filter instance.
`static ClassFilter`
ClassFilters.`union(ClassFilter[] classFilters)`
Match all classes that either (or all) of the given ClassFilters matches.
`static ClassFilter`
ClassFilters.`union(ClassFilter cf1, ClassFilter cf2)`
Match all classes that either (or both) of the given ClassFilters matches.
Methods in org.springframework.aop.support with parameters of type ClassFilter
Modifier and Type
Method
Description
`static ClassFilter`
ClassFilters.`intersection(ClassFilter[] classFilters)`
Match all classes that all of the given ClassFilters match.
`static ClassFilter`
ClassFilters.`intersection(ClassFilter cf1, ClassFilter cf2)`
Match all classes that both of the given ClassFilters match.
`ComposablePointcut`
ComposablePointcut.`intersection(ClassFilter other)`
Apply an intersection with the given ClassFilter.
`static ClassFilter`
ClassFilters.`negate(ClassFilter classFilter)`
Return a class filter that represents the logical negation of the specified filter instance.
`void`
NameMatchMethodPointcutAdvisor.`setClassFilter(ClassFilter classFilter)`
Set the `ClassFilter` to use for this pointcut.
`void`
StaticMethodMatcherPointcut.`setClassFilter(ClassFilter classFilter)`
Set the `ClassFilter` to use for this pointcut.
`static ClassFilter`
ClassFilters.`union(ClassFilter[] classFilters)`
Match all classes that either (or all) of the given ClassFilters matches.
`static ClassFilter`
ClassFilters.`union(ClassFilter cf1, ClassFilter cf2)`
Match all classes that either (or both) of the given ClassFilters matches.
`ComposablePointcut`
ComposablePointcut.`union(ClassFilter other)`
Apply a union with the given ClassFilter.
Constructors in org.springframework.aop.support with parameters of type ClassFilter
Modifier
Constructor
Description
``
`ComposablePointcut(ClassFilter classFilter)`
Create a ComposablePointcut for the given ClassFilter, with `MethodMatcher.TRUE`.
``
`ComposablePointcut(ClassFilter classFilter, MethodMatcher methodMatcher)`
Create a ComposablePointcut for the given ClassFilter and MethodMatcher.

## Uses of ClassFilter in org.springframework.aop.support.annotation

Classes in org.springframework.aop.support.annotation that implement ClassFilter
Modifier and Type
Class
Description
`class`
`AnnotationClassFilter`
Simple ClassFilter that looks for a specific annotation being present on a class.
Methods in org.springframework.aop.support.annotation that return ClassFilter
Modifier and Type
Method
Description
`ClassFilter`
AnnotationMatchingPointcut.`getClassFilter()`